<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="#83D1F4"
    tools:context=".Activityes.Orient.SeetingsActivity">


    <LinearLayout
        android:id="@+id/serverDetails_layout"
        android:visibility="visible"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

<!--        <RelativeLayout-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="80dp"-->
<!--            android:background="@drawable/custom_rectangle2">-->

<!--            <ImageView-->
<!--                android:id="@+id/setting_arrowBack"-->
<!--                android:layout_width="50dp"-->
<!--                android:layout_height="50dp"-->
<!--                android:textColor="@color/white"-->
<!--                android:layout_marginTop="20dp"-->
<!--                android:layout_marginLeft="20dp"-->
<!--                android:src="@drawable/ic_baseline_arrow_back_ios_24"/>-->


<!--            <TextView-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:layout_centerInParent="true"-->
<!--                android:text="Seeting"-->
<!--                android:textColor="@color/white"-->
<!--                android:textSize="24sp"-->
<!--                android:textStyle="bold" />-->
<!--        </RelativeLayout>-->

        <EditText
            android:id="@+id/serverIp_edit"
            android:layout_marginTop="10dp"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:singleLine="true"
            android:layout_marginLeft="10dp"
            android:padding="10dp"
            android:layout_marginRight="10dp"
            android:textColor="@color/black"
            android:textStyle="normal"
            android:text=""
            android:textSize="16sp"
            android:hint="Enter Ip Address"
            android:background="@drawable/background_edit"/>

        <EditText
            android:id="@+id/serverUserName_edit"
            android:singleLine="true"
            android:layout_marginTop="10dp"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginLeft="10dp"
            android:inputType="text"
            android:padding="10dp"
            android:layout_marginRight="10dp"
            android:textColor="@color/black"
            android:textStyle="normal"
            android:text=""
            android:textSize="16sp"
            android:hint="Server User Name"
            android:background="@drawable/background_edit"/>

        <EditText
            android:id="@+id/serverPassword_edit"
            android:singleLine="true"
            android:layout_marginTop="10dp"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginLeft="10dp"
            android:padding="10dp"
            android:inputType="textPassword"
            android:layout_marginRight="10dp"
            android:textColor="@color/black"
            android:textStyle="normal"
            android:text=""
            android:textSize="16sp"
            android:hint="Enter Server Password"
            android:background="@drawable/background_edit"/>

        <EditText
            android:singleLine="true"
            android:id="@+id/databaseName_edit"
            android:layout_marginTop="10dp"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginLeft="10dp"
            android:padding="10dp"
            android:layout_marginRight="10dp"
            android:textColor="@color/black"
            android:textStyle="normal"
            android:text=""
            android:textSize="16sp"
            android:hint="Enter Database Name"
            android:background="@drawable/background_edit"/>

        <Button
            android:id="@+id/next_button1"
            android:layout_width="300dp"
            android:layout_marginTop="10dp"
            android:layout_height="50dp"
            android:visibility="gone"
            android:layout_gravity="center"
            android:gravity="center"
            android:textAllCaps="false"
            android:textSize="20sp"
            android:textColor="#ffffff"
            android:background="@drawable/background_btn"
            android:text="Next" />

        <Button
            android:id="@+id/save_button1"
            android:layout_width="300dp"
            android:layout_marginTop="10dp"
            android:layout_height="50dp"
            android:visibility="visible"
            android:layout_gravity="center"
            android:gravity="center"
            android:textAllCaps="false"
            android:textSize="20sp"
            android:textColor="#ffffff"
            android:background="@drawable/background_btn"
            android:text="Save" />

        <TextView
            android:id="@+id/waitMessage_txt"
            android:visibility="gone"
            android:padding="10dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/black"
            android:textStyle="normal"
            android:textSize="16sp"
            android:text="Please Wait While Connecting......"/>


        <Button
            android:id="@+id/checkConnection_button1"
            android:layout_width="300dp"
            android:layout_marginTop="10dp"
            android:layout_height="55dp"
            android:visibility="gone"
            android:layout_gravity="center"
            android:gravity="center"
            android:textAllCaps="false"
            android:textSize="20sp"
            android:textColor="#ffffff"
            android:background="@drawable/background_btn"
            android:text="Check Connection" />


    </LinearLayout>

        <LinearLayout
            android:id="@+id/printDetails_layout"
            android:orientation="vertical"
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">


            <EditText
                android:id="@+id/workLineNumber_edit"
                android:layout_marginTop="10dp"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginLeft="10dp"
                android:padding="10dp"
                android:singleLine="true"
                android:layout_marginRight="10dp"
                android:textColor="@color/black"
                android:textStyle="normal"
                android:text=""
                android:textSize="16sp"
                android:hint="Enter Line Number"
                android:background="@drawable/background_edit"/>

            <EditText
                android:id="@+id/printerIp_edit"
                android:layout_marginTop="10dp"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:singleLine="true"
                android:layout_marginLeft="10dp"
                android:padding="10dp"
                android:layout_marginRight="10dp"
                android:textColor="@color/black"
                android:textStyle="normal"
                android:text=""
                android:textSize="16sp"
                android:hint="Enter Printer Ip Address"
                android:background="@drawable/background_edit"/>

            <EditText
                android:id="@+id/printerPort_edit"
                android:layout_marginTop="10dp"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginLeft="10dp"
                android:padding="10dp"
                android:singleLine="true"
                android:layout_marginRight="10dp"
                android:textColor="@color/black"
                android:textStyle="normal"
                android:text=""
                android:textSize="16sp"
                android:layout_marginBottom="10dp"
                android:hint="Enter Printer Port"
                android:background="@drawable/background_edit"/>


            <Button
                android:id="@+id/printSaveBtn"
                android:layout_width="300dp"
                android:layout_height="50dp"
                android:textSize="16sp"
                android:textStyle="normal"
                android:layout_gravity="center"
                android:text="Next"
                android:textColor="@color/white"
                android:background="@drawable/background_btn"/>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/plantDetails_layout"
        android:orientation="vertical"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="80dp"
            android:background="@drawable/custom_rectangle2">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:text="Plant Details"
                android:textColor="@color/white"
                android:textSize="24sp"
                android:textStyle="bold" />
        </RelativeLayout>



        <EditText
            android:id="@+id/plantNumber_edit"
            android:layout_marginTop="10dp"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginLeft="10dp"
            android:padding="10dp"
            android:singleLine="true"
            android:layout_marginRight="10dp"
            android:textColor="@color/black"
            android:textStyle="normal"
            android:text=""
            android:textSize="16sp"
            android:hint="Enter Plant Number"
            android:background="@drawable/background_edit"/>

        <EditText
            android:id="@+id/lineNumber_edit"
            android:layout_marginTop="10dp"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:singleLine="true"
            android:layout_marginLeft="10dp"
            android:padding="10dp"
            android:layout_marginRight="10dp"
            android:textColor="@color/black"
            android:textStyle="normal"
            android:text=""
            android:textSize="16sp"
            android:hint="Enter Line Number"
            android:background="@drawable/background_edit"/>

        <EditText
            android:id="@+id/settingPass_edit"
            android:layout_marginTop="10dp"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginLeft="10dp"
            android:padding="10dp"
            android:singleLine="true"
            android:layout_marginRight="10dp"
            android:textColor="@color/black"
            android:textStyle="normal"
            android:text=""
            android:textSize="16sp"
            android:layout_marginBottom="10dp"
            android:hint="Setting Log Password"
            android:background="@drawable/background_edit"/>


        <Button
            android:id="@+id/plantSaveBtn"
            android:layout_width="300dp"
            android:layout_height="50dp"
            android:textSize="16sp"
            android:textStyle="normal"
            android:layout_gravity="center"
            android:text="Next"
            android:textColor="@color/white"
            android:background="@drawable/background_btn"/>

    </LinearLayout>

</LinearLayout>